<div class="max-w-screen-lg">
  <mat-dialog-content class="mat-typography">
    <section class="p-8">
      <h2 mat-dialog-title>Select an example dataset</h2>

      <p>
        The input for OMEx is a data table obtained from omics-specific
        processing of raw data. The input format of this data table is a .csv,
        .tsv, or .txt file containing molecule names in rows, sample names in
        columns and measured quantities in cells. The first row should contain
        column headers. Unique molecule ids should be contained in the first
        column. Sample column names are prefixed with condition names (e.g.,
        “control_” and “disease_”) for grouping. The input table may include
        additional columns (e.g., with UniProt Accessions), which will be
        ignored by OMEx.
      </p>
      <br />
      <p>
        Below you can find example datasets that have been used throughout the
        development and testing of OMEx. Click "select" to directly paste a
        dataset into the first workflow step or click "download" if you want to
        inspect a dataset. The column "reference" contains links to the original
        articles or publications using the dataset.
      </p>
    </section>
    <div class="job-table">
      <table mat-table matSort [dataSource]="dataSource">
        <!-- Columns -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>name</th>
          <td mat-cell *matCellDef="let dataset">{{ dataset.name }}</td>
        </ng-container>

        <ng-container matColumnDef="description">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>description</th>
          <td mat-cell *matCellDef="let dataset">{{ dataset.description }}</td>
        </ng-container>

        <ng-container matColumnDef="molecules">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>molecules</th>
          <td mat-cell *matCellDef="let dataset">{{ dataset.molecules }}</td>
        </ng-container>

        <ng-container matColumnDef="classes">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>
            classes (#samples)
          </th>
          <td mat-cell *matCellDef="let dataset">
            {{ dataset.classes }}
          </td>
        </ng-container>

        <ng-container matColumnDef="reference">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>reference</th>
          <td mat-cell *matCellDef="let dataset">
            <a
              *ngFor="
                let ref of dataset.reference;
                let i = index;
                let last = last
              "
              [href]="ref"
              target="_blank"
            >
              link {{ i + 1 }}
              <ng-template [ngIf]="!last">{{ "\n," }} </ng-template>
            </a>
          </td>
        </ng-container>

        <!-- Actions -->
        <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
          <td mat-cell *matCellDef="let dataset">
            <div class="flex flex-row items-center">
              <button
                mat-flat-button
                color="accent"
                class="mr-1"
                [mat-dialog-close]="{ data: dataset, download: false }"
              >
                Select
              </button>
              <button
                [mat-dialog-close]="{ data: dataset, download: true }"
                mat-flat-button
                color="accent"
                class="mr-1"
              >
                Download
              </button>
            </div>
          </td>
        </ng-container>

        <!-- Show Rows -->
        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr
          class="table-row"
          mat-row
          *matRowDef="let myRowData; columns: columnsToDisplay"
        ></tr>
      </table>
    </div>
  </mat-dialog-content>

  <mat-dialog-actions align="end">
    <button mat-flat-button mat-dialog-close>Close</button>
  </mat-dialog-actions>
</div>
